﻿© 2001 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 224: (1 year) CAL VER / 9500-1hd: 1.00
DATE:                  2001-06-26
AUTHOR:                MSD
REVISION:              $Revision: 1.00 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       29
NUMBER OF LINES:       1352
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#@
#@ Procedure ID No: 001157M004
#@
#@ Models covered:  210, 220,  224
#@
#@ Source:     Tektronix TDS 200 Series
#@             Service Manual
#@             Digital Real-Time Oscilloscope
#@             071-0492-02
#@
#@
#@ Source Author:   N/K
#@
#@ Compatibility:   MET/CAL 6.10 or later
#@
#@ Subprocedures:
#@              Sub Wait for Operation Complete (OPC) IEEE/: 1.00
#@              Sub Tek TDS2xx: Main Trigger IEEE/: 1.00
#@
#@ Required Files:
#@
#@
#@ Additional equipment Required:
#@
#@
#@ The Procedure was tested using:
#@
#@                  Model No  TEKTRONIX TDS 224
#@                  Serial No BO25022
#@                  Options   N/A
#@                  Firmware Ver FV:v1.06
#@                  Module Firmware Ver TDS2CM:CMV:v1.04
#@
#@ The average run time during testing was 20 minutes.
#@
#@ Procedure history:
#@      21-06-01: New Procedure
#@
#@ The procedure is intended for use with Met/Cal(r) calibration software,
#@ and the terms and conditions set forth in your METCAL license apply to
#@ this procedure.
#@
#@ Due to our policy of continuously up dating our products, this procedure
#@ may contain minor differences in specification to those found in the manual
#@ or other documentation. While every effort has been made to ensure that
#@ this procedure is accurate, Fluke cannot be held responsible for the
#@ consequences of error or omissions found within this procedure.
#@
#@ The copyright in this procedure is owned by Fluke Precision Measurement
#@ Limited.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Where sub procedures are used, the main procedure must contain all
# references. This allows MetCal to identify all reference requirements.

  1.001  HEAD         Personnel Safety
  1.002  DISP         Dangerous voltages may be present during this process,
  1.002  DISP         [32]always check it is safe to do so before touching any
  1.002  DISP         [32]electrical connections.


# Set timeout for OPC to 100s.
  1.003  MATH         M[88] = 100000

  1.004  HEAD         PRELIMINARY INSTRUCTIONS
  1.005  DISP         Connect the UUT to IEEE-488 Port 1 and turn it on.
  1.005  DISP         Allow a 20 minute warm-up period before advancing...
  1.006  DISP         Press UTILITY.
  1.006  DISP         Press the menu "Options" button.
  1.006  DISP         Select menu "GPIB Setup" for the "GPIB Menu".
  1.006  DISP         Set "Bus Connection" to "Talk-Listen".
  1.006  DISP         If GPIB address is zero, use the Menu button to select
  1.006  DISP         a non-zero address.


  1.007  ASK-   R   Q N              P                            F        W


# Set Registers
  1.008  IEEE         *SRE 0;*ESE 61;DESE 255;*OPC


# Put UUT identification string into results; allow for firmware documentation
  1.009  IEEE         *RST

# Turn off headers on query response.
  1.010  IEEE         HEADER OFF
  1.011  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00
  1.012  JMPL         ERROR  M[89] <= 0





#******************** IDENTIFICATION QUERY (*IDN?) ********************

# The TDS Scopes *IDN? command does not actually meet the IEEE-488.2
# standard.  That standard states that the third comma delimited field
# in the *IDN? response is the serial number, however the TDS Scopes
# always return "0" in this field.

#Response
#TEKTRONIX,TDS 224,0,CF:91.1CT FV:v1.06 TDS2CM:CMV:v1.04

  1.013  RSLT         =
  1.014  HEAD         {UUT IDENTIFICATION}
  1.015  IEEE         *IDN?[I$]
  1.016  MATH         S[1] = FLD(MEM2, 1, ",")
  1.017  MATH         S[2] = FLD(MEM2, 2, ",")
  1.018  MATH         S[4] = FLD(MEM2, 3, " ")
  1.019  MATH         S[5] = FLD(MEM2, 4, " ")

  1.020  RSLT         =Manufacturer:            [SREG1]
  1.021  RSLT         =Model:                   [SREG2]
  1.022  RSLT         =Firmware Version:        [SREG4]
  1.023  RSLT         =Module Firmware Version: [SREG5]
  1.024  DISP         Manufacturer:            [SREG1]
  1.024  DISP         Model:                   [SREG2]
  1.024  DISP         Firmware Level:          [SREG4]
  1.024  DISP         Module Firmware Version: [SREG5]




# Let's make sure we have the right scope connected before going on.
# If the wrong scope is connected, the procedure stops here.


  1.025  JMPL         TDS_224      FIND(S[2], "TDS 224",  1)


  1.026  DISP         A Tektronix TDS 224 is not connected to
  1.026  DISP         IEEE-488 port 1.
  1.027  END


  1.028  LABEL        TDS_224
  1.029  MATH         M[102] = 100


# ******************** BEGIN SELF TEST ********************

  1.030  LABEL        SELF_TEST

  1.031  RSLT         =
  1.032  HEAD         SELF-TEST
  1.033  TARGET

# Send commands to start the self-test
  1.034  IEEE         *TST?[I$]

# Self Test evaluation
  1.035  EVAL   -e FIND(MEM2, "0", 1) : Self Test


# ******************** SELF CALIBRATION ********************

  2.001  HEAD         SELF-CALIBRATION

  2.002  DISP         The Self Calibration routine optimizes the
  2.002  DISP         Oscilloscope accuracy for the ambient temperature.
  2.002  DISP         This takes approx. 150 seconds to complete.

  2.003  OPBR         Was the Self Calibration carried out prior to
  2.003  OPBR         running this procedure?
  2.004  JMPL         CONTINUE1 MEM1==1

  2.005  OPBR         Do you wish to carry out the Self Calibration at the
  2.005  OPBR         start of this procedure?
  2.006  JMPL         CONTINUE MEM1==1

  2.007  RSLT         =Self Calibration Routine not Carried out
  2.008  JMPL         END_SELF_CAL

  2.009  LABEL        CONTINUE1
  2.010  EVAL   -s "Manual Self Calibration":Did the Self Calibration Pass?
  3.001  JMPL         END_SELF_CAL

  3.002  LABEL        CONTINUE
  3.003  HEAD         SELF-CALIBRATION
  3.004  TARGET
  3.005  DISP         Disconnect any Probes or Cables from
  3.005  DISP         the UUT's Channel Inputs.

# Set number of seconds to wait for SELF-CALIBRATION to complete.
  3.006  MATH         MEM = 150

# Send commands to start the Self-Calibration
  3.007  IEEE         CAL:INTERNAL


# Wait for scope to finish self-tests (no status query available)
  3.008  LABEL        SELF_CAL_WAIT
  3.009  HEAD         SELF-CAL: [MEM]s Remaining [D1000]
  3.010  MATH         MEM = MEM - 1
  3.011  JMPL         SELF_CAL_WAIT               MEM > 0
  3.012  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00
  3.013  JMPL         END_SELF_CAL  M[89] <= 0
  3.014  HEAD         SELF-CAL COMPLETE

# Return result of diagnostics
  3.015  IEEE         CAL:STATUS?[I$]

# Self Calibration evaluation
  3.016  EVAL   -e FIND(MEM2, "PASS", 1) : Automated Self Calibration

# Reset instrument state in case of failure
  4.001  IEEE         *RST
  4.002  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00
  4.003  LABEL        END_SELF_CAL
  4.004  JMPL         ERROR          M[89] <= 0

  #4.005  JMPL         CH1-Band
  #4.005  JMPL         TIMEBASE
  #4.005  JMPL         TRIGGER

#******************* Initial UUT Connections ***********************

  4.005  HEAD         LEAD CONNECTIONS
  4.006  9500         *                                                 S
  4.007  DISP         Connect the Calibrator's CH1 Active Head to the UUT's
  4.007  DISP         CH 1 Input.


#******************* Channel 1 DCV Accuracy ***********************

  4.008  RSLT         =
  4.009  HEAD         DC GAIN ACCURACY: Channel 1
  4.010  RSLT         =DC GAIN ACCURACY: Channel 1
  4.011  TARGET

# Clear status
  4.012  IEEE         *CLS

# Reset scope to factory defaults.
  4.013  IEEE         RECA:SETUP FAC
  4.014  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00

#Configure the UUT

  4.015  IEEE         CH1:COUP DC;PRO 1
  4.016  IEEE         ACQ:MOD AVE
  4.017  IEEE         ACQ:NUMAV 16
  4.018  IEEE         MEASU:MEAS1:SOURCE CH1;TYP MEAN
  4.019  IEEE         ACQ:STATE STOP
  4.020  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00

#Scope Calibrator
  4.021  M9500                       CH1

#Positive Output
  4.022  RSLT         =5mV/Div Range
  4.023  IEEE         CH1:SCA 5E-03
  4.024  9500         17.500mV                                          S
  4.025  IEEE         ACQ:STATE RUN [D4000]
  4.026  IEEE         MEASU:MEAS1:VAL?[I]
  4.027  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
  4.028  MATH         M[4] = MEM
  4.029  IEEE         ACQ:STATE STOP

#Negative Output
  4.030  9500         -17.500mV                                         S
  4.031  IEEE         ACQ:STATE RUN [D4000]
  4.032  IEEE         MEASU:MEAS1:VAL?[I]
  4.033  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
  4.034  MATH         M[5] = MEM
  4.035  IEEE         ACQ:STATE STOP


# Perform a calculation on the last 2 readings
  4.036  MATH         MEM = (M[4] - M[5]) * 1000
  4.037  9500         35.000mV                                          S
  4.038  MEME
  4.039  MEMC         mV             1.7U


#Positive Output
  5.001  RSLT         =
  5.002  RSLT         =200mV/Div Range
  5.003  IEEE         CH1:SCA 200E-03
  5.004  9500         0.7000V                                           S
  5.005  IEEE         ACQ:STATE RUN [D4000]
  5.006  IEEE         MEASU:MEAS1:VAL?[I]
  5.007  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
  5.008  MATH         M[4] = MEM
  5.009  IEEE         ACQ:STATE STOP

#Negative Output
  5.010  9500         -0.7000V                                          S
  5.011  IEEE         ACQ:STATE RUN [D4000]
  5.012  IEEE         MEASU:MEAS1:VAL?[I]
  5.013  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
  5.014  MATH         M[5] = MEM
  5.015  IEEE         ACQ:STATE STOP


# Perform a calculation on the last 2 readings
  5.016  MATH         MEM = (M[4] - M[5])
  5.017  9500         1.4000V                                           S
  5.018  MEME
  5.019  MEMC         V              0.049U




#Positive Output
  6.001  RSLT         =
  6.002  RSLT         =2 V/Div Range
  6.003  IEEE         CH1:SCA 2E+00
  6.004  9500         7.0000V                                           S
  6.005  IEEE         ACQ:STATE RUN [D4000]
  6.006  IEEE         MEASU:MEAS1:VAL?[I]
  6.007  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
  6.008  MATH         M[4] = MEM
  6.009  IEEE         ACQ:STATE STOP

#Negative Output
  6.010  9500         -7.0000V                                          S
  6.011  IEEE         ACQ:STATE RUN [D4000]
  6.012  IEEE         MEASU:MEAS1:VAL?[I]
  6.013  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
  6.014  MATH         M[5] = MEM
  6.015  IEEE         ACQ:STATE STOP


# Perform a calculation on the last 2 readings
  6.016  MATH         MEM = (M[4] - M[5])
  6.017  9500         14.000V                                           S
  6.018  MEME
  6.019  MEMC         V              0.49U

 #******************* Initial UUT Connections ***********************

  7.001  HEAD         LEAD CONNECTIONS
  7.002  9500         *                                                 S
  7.003  DISP         Connect the Calibrator's CH1 Active Head to the UUT's
  7.003  DISP         CH 2 Input.

  #******************* Channel 2 DCV Accuracy ***********************

  7.004  RSLT         =
  7.005  HEAD         DC GAIN ACCURACY: Channel 2
  7.006  RSLT         =DC GAIN ACCURACY: Channel 2
  7.007  TARGET

#Configure the UUT
  7.008  IEEE         SEL:CH1 OFF
  7.009  IEEE         SEL:CH2 ON

  7.010  IEEE         CH2:COUP DC;PRO 1
  7.011  IEEE         MEASU:MEAS1:SOURCE CH2;TYP MEAN
  7.012  IEEE         ACQ:STATE STOP
  7.013  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00

#Scope Calibrator
  7.014  M9500                       CH1

#Positive Output
  7.015  RSLT         =5mV/Div Range
  7.016  IEEE         CH2:SCA 5E-03
  7.017  9500         17.500mV                                          S
  7.018  IEEE         ACQ:STATE RUN [D4000]
  7.019  IEEE         MEASU:MEAS1:VAL?[I]
  7.020  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
  7.021  MATH         M[4] = MEM
  7.022  IEEE         ACQ:STATE STOP

#Negative Output
  7.023  9500         -17.500mV                                         S
  7.024  IEEE         ACQ:STATE RUN [D4000]
  7.025  IEEE         MEASU:MEAS1:VAL?[I]
  7.026  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
  7.027  MATH         M[5] = MEM
  7.028  IEEE         ACQ:STATE STOP


# Perform a calculation on the last 2 readings
  7.029  MATH         MEM = (M[4] - M[5]) * 1000
  7.030  9500         35.000mV                                          S
  7.031  MEME
  7.032  MEMC         mV             1.7U


#Positive Output
  8.001  RSLT         =
  8.002  RSLT         =200mV/Div Range
  8.003  IEEE         CH2:SCA 200E-03
  8.004  9500         0.7000V                                           S
  8.005  IEEE         ACQ:STATE RUN [D4000]
  8.006  IEEE         MEASU:MEAS1:VAL?[I]
  8.007  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
  8.008  MATH         M[4] = MEM
  8.009  IEEE         ACQ:STATE STOP

#Negative Output
  8.010  9500         -0.7000V                                          S
  8.011  IEEE         ACQ:STATE RUN [D4000]
  8.012  IEEE         MEASU:MEAS1:VAL?[I]
  8.013  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
  8.014  MATH         M[5] = MEM
  8.015  IEEE         ACQ:STATE STOP


# Perform a calculation on the last 2 readings
  8.016  MATH         MEM = (M[4] - M[5])
  8.017  9500         1.4000V                                           S
  8.018  MEME
  8.019  MEMC         V              0.049U




#Positive Output
  9.001  RSLT         =
  9.002  RSLT         =2 V/Div Range
  9.003  IEEE         CH2:SCA 2E+00
  9.004  9500         7.0000V                                           S
  9.005  IEEE         ACQ:STATE RUN [D4000]
  9.006  IEEE         MEASU:MEAS1:VAL?[I]
  9.007  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
  9.008  MATH         M[4] = MEM
  9.009  IEEE         ACQ:STATE STOP

#Negative Output
  9.010  9500         -7.0000V                                          S
  9.011  IEEE         ACQ:STATE RUN [D4000]
  9.012  IEEE         MEASU:MEAS1:VAL?[I]
  9.013  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
  9.014  MATH         M[5] = MEM
  9.015  IEEE         ACQ:STATE STOP


# Perform a calculation on the last 2 readings
  9.016  MATH         MEM = (M[4] - M[5])
  9.017  9500         14.000V                                           S
  9.018  MEME
  9.019  MEMC         V              0.49U

#******************* Initial UUT Connections ***********************

 10.001  HEAD         LEAD CONNECTIONS
 10.002  9500         *                                                 S
 10.003  DISP         Connect the Calibrator's CH1 Active Head to the UUT's
 10.003  DISP         CH 3 Input.



#******************* Channel 3 DCV Accuracy ***********************

 10.004  RSLT         =
 10.005  HEAD         DC GAIN ACCURACY: Channel 3
 10.006  RSLT         =DC GAIN ACCURACY: Channel 3
 10.007  TARGET

#Configure the UUT
 10.008  IEEE         SEL:CH2 OFF
 10.009  IEEE         SEL:CH3 ON

 10.010  IEEE         CH3:COUP DC;PRO 1
 10.011  IEEE         MEASU:MEAS1:SOURCE CH3;TYP MEAN
 10.012  IEEE         ACQ:STATE STOP
 10.013  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00

#Scope Calibrator
 10.014  M9500                       CH1

#Positive Output
 10.015  RSLT         =5mV/Div Range
 10.016  IEEE         CH3:SCA 5E-03
 10.017  9500         17.500mV                                          S
 10.018  IEEE         ACQ:STATE RUN [D4000]
 10.019  IEEE         MEASU:MEAS1:VAL?[I]
 10.020  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
 10.021  MATH         M[4] = MEM
 10.022  IEEE         ACQ:STATE STOP

#Negative Output
 10.023  9500         -17.500mV                                         S
 10.024  IEEE         ACQ:STATE RUN [D4000]
 10.025  IEEE         MEASU:MEAS1:VAL?[I]
 10.026  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
 10.027  MATH         M[5] = MEM
 10.028  IEEE         ACQ:STATE STOP


# Perform a calculation on the last 2 readings
 10.029  MATH         MEM = (M[4] - M[5]) * 1000
 10.030  9500         35.000mV                                          S
 10.031  MEME
 10.032  MEMC         mV             1.7U


#Positive Output
 11.001  RSLT         =
 11.002  RSLT         =200mV/Div Range
 11.003  IEEE         CH3:SCA 200E-03
 11.004  9500         0.7000V                                           S
 11.005  IEEE         ACQ:STATE RUN [D4000]
 11.006  IEEE         MEASU:MEAS1:VAL?[I]
 11.007  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
 11.008  MATH         M[4] = MEM
 11.009  IEEE         ACQ:STATE STOP

#Negative Output
 11.010  9500         -0.7000V                                          S
 11.011  IEEE         ACQ:STATE RUN [D4000]
 11.012  IEEE         MEASU:MEAS1:VAL?[I]
 11.013  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
 11.014  MATH         M[5] = MEM
 11.015  IEEE         ACQ:STATE STOP


# Perform a calculation on the last 2 readings
 11.016  MATH         MEM = (M[4] - M[5])
 11.017  9500         1.4000V                                           S
 11.018  MEME
 11.019  MEMC         V              0.049U




#Positive Output
 12.001  RSLT         =
 12.002  RSLT         =2 V/Div Range
 12.003  IEEE         CH3:SCA 2E+00
 12.004  9500         7.0000V                                           S
 12.005  IEEE         ACQ:STATE RUN [D4000]
 12.006  IEEE         MEASU:MEAS1:VAL?[I]
 12.007  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
 12.008  MATH         M[4] = MEM
 12.009  IEEE         ACQ:STATE STOP

#Negative Output
 12.010  9500         -7.0000V                                          S
 12.011  IEEE         ACQ:STATE RUN [D4000]
 12.012  IEEE         MEASU:MEAS1:VAL?[I]
 12.013  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
 12.014  MATH         M[5] = MEM
 12.015  IEEE         ACQ:STATE STOP


# Perform a calculation on the last 2 readings
 12.016  MATH         MEM = (M[4] - M[5])
 12.017  9500         14.000V                                           S
 12.018  MEME
 12.019  MEMC         V              0.49U

#******************* Initial UUT Connections ***********************

 13.001  HEAD         LEAD CONNECTIONS
 13.002  9500         *                                                 S


 13.003  DISP         Connect the Calibrator's CH1 Active Head to the UUT's
 13.003  DISP         CH 4 Input.


#******************* Channel 4 DCV Accuracy ***********************

 13.004  RSLT         =
 13.005  HEAD         DC GAIN ACCURACY: Channel 4
 13.006  RSLT         =DC GAIN ACCURACY: Channel 4
 13.007  TARGET

#Configure the UUT
 13.008  IEEE         SEL:CH3 OFF
 13.009  IEEE         SEL:CH4 ON

 13.010  IEEE         CH4:COUP DC;PRO 1
 13.011  IEEE         MEASU:MEAS1:SOURCE CH4;TYP MEAN
 13.012  IEEE         ACQ:STATE STOP
 13.013  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00

#Scope Calibrator
 13.014  M9500                       CH1

#Positive Output
 13.015  RSLT         =5mV/Div Range
 13.016  IEEE         CH4:SCA 5E-03
 13.017  9500         17.500mV                                          S
 13.018  IEEE         ACQ:STATE RUN [D4000]
 13.019  IEEE         MEASU:MEAS1:VAL?[I]
 13.020  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
 13.021  MATH         M[4] = MEM
 13.022  IEEE         ACQ:STATE STOP

#Negative Output
 13.023  9500         -17.500mV                                         S
 13.024  IEEE         ACQ:STATE RUN [D4000]
 13.025  IEEE         MEASU:MEAS1:VAL?[I]
 13.026  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
 13.027  MATH         M[5] = MEM
 13.028  IEEE         ACQ:STATE STOP


# Perform a calculation on the last 2 readings
 13.029  MATH         MEM = (M[4] - M[5]) * 1000
 13.030  9500         35.000mV                                          S
 13.031  MEME
 13.032  MEMC         mV             1.7U


#Positive Output
 14.001  RSLT         =
 14.002  RSLT         =200mV/Div Range
 14.003  IEEE         CH4:SCA 200E-03
 14.004  9500         0.7000V                                           S
 14.005  IEEE         ACQ:STATE RUN [D4000]
 14.006  IEEE         MEASU:MEAS1:VAL?[I]
 14.007  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
 14.008  MATH         M[4] = MEM
 14.009  IEEE         ACQ:STATE STOP

#Negative Output
 14.010  9500         -0.7000V                                          S
 14.011  IEEE         ACQ:STATE RUN [D4000]
 14.012  IEEE         MEASU:MEAS1:VAL?[I]
 14.013  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
 14.014  MATH         M[5] = MEM
 14.015  IEEE         ACQ:STATE STOP


# Perform a calculation on the last 2 readings
 14.016  MATH         MEM = (M[4] - M[5])
 14.017  9500         1.4000V                                           S
 14.018  MEME
 14.019  MEMC         V              0.049U




#Positive Output
 15.001  RSLT         =
 15.002  RSLT         =2 V/Div Range
 15.003  IEEE         CH4:SCA 2E+00
 15.004  9500         7.0000V                                           S
 15.005  IEEE         ACQ:STATE RUN [D4000]
 15.006  IEEE         MEASU:MEAS1:VAL?[I]
 15.007  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
 15.008  MATH         M[4] = MEM
 15.009  IEEE         ACQ:STATE STOP

#Negative Output
 15.010  9500         -7.0000V                                          S
 15.011  IEEE         ACQ:STATE RUN [D4000]
 15.012  IEEE         MEASU:MEAS1:VAL?[I]
 15.013  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
 15.014  MATH         M[5] = MEM
 15.015  IEEE         ACQ:STATE STOP


# Perform a calculation on the last 2 readings
 15.016  MATH         MEM = (M[4] - M[5])
 15.017  9500         14.000V                                           S
 15.018  MEME
 15.019  MEMC         V              0.49U


 16.001  9500         *                                                 S


#******************* Initial UUT Connections ***********************

 16.002  HEAD         LEAD CONNECTIONS
 16.003  9500         *                                                 S


 16.004  DISP         Connect the Calibrator's CH1 Active Head to the UUT's
 16.004  DISP         CH 1 Input.


  #******************* Channel 1 Analogue Bandwidth ***********************
 16.005  LABEL        CH1-Band
 16.006  RSLT         =
 16.007  HEAD         Bandwidth: Channel 1 @ [M102] MHz
 16.008  RSLT         =BANDWIDTH: Channel 1 @ [M102] MHz

 16.009  TARGET

# Clear status
 16.010  IEEE         *CLS

# Reset scope to factory defaults.
 16.011  IEEE         RECA:SETUP FAC
 16.012  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00

#Configure the UUT

 16.013  IEEE         CH1:COUP DC;PRO 1
 16.014  IEEE         CH1:SCA 500E-03
 16.015  IEEE         HOR:MAI:SCA 10e-6
 16.016  IEEE         ACQ:MOD AVE
 16.017  IEEE         ACQ:NUMAV 16
 16.018  IEEE         TRIG:MAIN:EDGE:SOU CH1;SLO RIS;COUP NOISE
 16.019  IEEE         MEASU:MEAS1:SOURCE CH1;TYP PK2
 16.020  IEEE         ACQ:STATE STOP

#Scope Calibrator at Reference Reading
 16.021  M9500                       CH1
 16.022  9500         3.000Vpp                     50kH           LS    S
 16.023  IEEE         ACQ:STATE RUN [D4000]
 16.024  IEEE         TRIG:MAI SETL
 16.025  IEEE         MEASU:MEAS1:VAL?[I]
 16.026  HEAD         Channel Reference Reading = [MEM] Vpp
 16.027  IEEE         ACQ:STATE STOP
 16.028  MATH         M[2] = MEM


# Test the 500 mV/Div Range @ 3 V 100 MHZ
 16.029  RSLT         =500 mV/Div Range @ [M102]MHz
 16.030  IEEE         HOR:MAI:SCA 10e-9
 16.031  9500         3.000Vpp                     100MH          LS    S
 16.032  IEEE         ACQ:STATE RUN [D4000]
 16.033  IEEE         TRIG:MAI SETL
 16.034  IEEE         MEASU:MEAS1:VAL?[I]
 16.035  HEAD         Channel Bandwidth Reading = [MEM]
 16.036  MATH         MEM = (3 / M[2] ) * (MEM)
 16.037  MEME
 16.038  MEMC         Vpp            0.8761U

#******************* Initial UUT Connections ***********************

 17.001  HEAD         LEAD CONNECTIONS
 17.002  9500         *                                                 S


 17.003  DISP         Connect the Calibrator's CH1 Active Head to the UUT's
 17.003  DISP         CH 2 Input.


#******************* Channel 2 Analogue Bandwidth ***********************

 17.004  RSLT         =
 17.005  HEAD         Bandwidth: Channel 2 @ [M102] MHz
 17.006  RSLT         =BANDWIDTH: Channel 2 @ [M102] MHz

 17.007  TARGET

#Configure the UUT
 17.008  IEEE         SEL:CH1 OFF
 17.009  IEEE         SEL:CH2 ON

 17.010  IEEE         CH2:COUP DC;PRO 1
 17.011  IEEE         CH2:SCA 500E-03
 17.012  IEEE         HOR:MAI:SCA 10e-6
 17.013  IEEE         TRIG:MAIN:EDGE:SOU CH2;SLO RIS;COUP NOISE
 17.014  IEEE         MEASU:MEAS1:SOURCE CH2;TYP PK2
 17.015  IEEE         ACQ:STATE STOP

#Scope Calibrator at Reference Reading
 17.016  M9500                       CH1
 17.017  9500         3.000Vpp                     50kH           LS    S
 17.018  IEEE         ACQ:STATE RUN [D4000]
 17.019  IEEE         TRIG:MAI SETL
 17.020  IEEE         MEASU:MEAS1:VAL?[I]
 17.021  HEAD         Channel Reference Reading = [MEM] Vpp
 17.022  IEEE         ACQ:STATE STOP
 17.023  MATH         M[2] = MEM


# Test the 500 mV/Div Range @ 3 V 100 MHZ
 17.024  RSLT         =500 mV/Div Range @ [M102]MHz
 17.025  IEEE         HOR:MAI:SCA 10e-9
 17.026  9500         3.000Vpp                     100MH          LS    S
 17.027  IEEE         ACQ:STATE RUN [D4000]
 17.028  IEEE         TRIG:MAI SETL
 17.029  IEEE         MEASU:MEAS1:VAL?[I]
 17.030  HEAD         Channel Bandwidth Reading = [MEM]
 17.031  MATH         MEM = (3 / M[2] ) * (MEM)
 17.032  MEME
 17.033  MEMC         Vpp            0.8761U

#******************* Initial UUT Connections ***********************

 18.001  HEAD         LEAD CONNECTIONS
 18.002  9500         *                                                 S


 18.003  DISP         Connect the Calibrator's CH1 Active Head to the UUT's
 18.003  DISP         CH 3 Input.


#******************* Channel 3 Analogue Bandwidth ***********************

 18.004  RSLT         =
 18.005  HEAD         Bandwidth: Channel 3 @ [M102] MHz
 18.006  RSLT         =BANDWIDTH: Channel 3 @ [M102] MHz

 18.007  TARGET

#Configure the UUT
 18.008  IEEE         SEL:CH2 OFF
 18.009  IEEE         SEL:CH3 ON

 18.010  IEEE         CH3:COUP DC;PRO 1
 18.011  IEEE         CH3:SCA 500E-03
 18.012  IEEE         HOR:MAI:SCA 10e-6
 18.013  IEEE         TRIG:MAIN:EDGE:SOU CH3;SLO RIS;COUP NOISE
 18.014  IEEE         MEASU:MEAS1:SOURCE CH3;TYP PK2
 18.015  IEEE         ACQ:STATE STOP

#Scope Calibrator at Reference Reading
 18.016  M9500                       CH1
 18.017  9500         3.000Vpp                     50kH           LS    S
 18.018  IEEE         ACQ:STATE RUN [D4000]
 18.019  IEEE         TRIG:MAI SETL
 18.020  IEEE         MEASU:MEAS1:VAL?[I]
 18.021  HEAD         Channel Reference Reading = [MEM] Vpp
 18.022  IEEE         ACQ:STATE STOP
 18.023  MATH         M[2] = MEM


# Test the 500 mV/Div Range @ 3 V 100 MHZ
 18.024  RSLT         =500 mV/Div Range @ [M102]MHz
 18.025  IEEE         HOR:MAI:SCA 10e-9
 18.026  9500         3.000Vpp                     100MH          LS    S
 18.027  IEEE         ACQ:STATE RUN [D4000]
 18.028  IEEE         TRIG:MAI SETL
 18.029  IEEE         MEASU:MEAS1:VAL?[I]
 18.030  HEAD         Channel Bandwidth Reading = [MEM]
 18.031  MATH         MEM = (3 / M[2] ) * (MEM)
 18.032  MEME
 18.033  MEMC         Vpp            0.8761U

#******************* Initial UUT Connections ***********************

 19.001  HEAD         LEAD CONNECTIONS
 19.002  9500         *                                                 S


 19.003  DISP         Connect the Calibrator's CH1 Active Head to the UUT's
 19.003  DISP         CH 4 Input.


#******************* Channel 4 Analogue Bandwidth ***********************

 19.004  RSLT         =
 19.005  HEAD         Bandwidth: Channel 4 @ [M102] MHz
 19.006  RSLT         =BANDWIDTH: Channel 4 @ [M102] MHz

 19.007  TARGET

#Configure the UUT
 19.008  IEEE         SEL:CH3 OFF
 19.009  IEEE         SEL:CH4 ON

 19.010  IEEE         CH4:COUP DC;PRO 1
 19.011  IEEE         CH4:SCA 500E-03
 19.012  IEEE         HOR:MAI:SCA 10e-6
 19.013  IEEE         TRIG:MAIN:EDGE:SOU CH4;SLO RIS;COUP NOISE
 19.014  IEEE         MEASU:MEAS1:SOURCE CH4;TYP PK2
 19.015  IEEE         ACQ:STATE STOP

#Scope Calibrator at Reference Reading
 19.016  M9500                       CH1
 19.017  9500         3.000Vpp                     50kH           LS    S
 19.018  IEEE         ACQ:STATE RUN [D4000]
 19.019  IEEE         TRIG:MAI SETL
 19.020  IEEE         MEASU:MEAS1:VAL?[I]
 19.021  HEAD         Channel Reference Reading = [MEM] Vpp
 19.022  IEEE         ACQ:STATE STOP
 19.023  MATH         M[2] = MEM


# Test the 500 mV/Div Range @ 3 V 100 MHZ
 19.024  RSLT         =500 mV/Div Range @ [M102]MHz
 19.025  IEEE         HOR:MAI:SCA 10e-9
 19.026  9500         3.000Vpp                     100MH          LS    S
 19.027  IEEE         ACQ:STATE RUN [D4000]
 19.028  IEEE         TRIG:MAI SETL
 19.029  IEEE         MEASU:MEAS1:VAL?[I]
 19.030  HEAD         Channel Bandwidth Reading = [MEM]
 19.031  MATH         MEM = (3 / M[2] ) * (MEM)
 19.032  MEME
 19.033  MEMC         Vpp            0.8761U

#******************* Initial UUT Connections ***********************

 20.001  HEAD         LEAD CONNECTIONS
 20.002  9500         *                                                 S


 20.003  DISP         Connect the Calibrator's CH1 Active Head to the UUT's
 20.003  DISP         CH 2 Input.



# ********************** Timebase Accuracy ***********************

 20.004  LABEL        TIMEBASE
 20.005  RSLT         =
 20.006  HEAD         Timebase Accuracy: Delay Time
 20.007  RSLT         =TIMEBASE ACCURACY: Delay Time

 20.008  TARGET

# Clear status
 20.009  IEEE         *CLS

# Reset scope to factory defaults.
 20.010  IEEE         RECA:SETUP FAC
 20.011  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00

#Configure the UUT
 20.012  IEEE         SEL:CH1 OFF
 20.013  IEEE         SEL:CH2 ON
 20.014  IEEE         TRIG:MAIN:MOD NORM
 20.015  IEEE         TRIG:MAIN:EDGE:SOU CH2;SLO RIS;COUP DC
 20.016  IEEE         CH2:COUP DC;PRO 1
 20.017  IEEE         CH2:SCA 200E-03
 20.018  IEEE         HOR:MAI:SCA 1e-3

#Scope Calibrator
 20.019  M9500                       CH1
 20.020  9500         10.000000mT                  1Vpp           M2    S

 20.021  DISP         If required, adjust the horizontal POSITION
 20.021  DISP         to move the trigger T to align it to the
 20.021  DISP         center vertical graticule line.
 20.021  DISP         This establishes a reference for the next step.

#IEEE 488.2 Scope

 20.022  IEEE         TRIG:MAI SETL
 20.023  IEEE         HOR:VIEW WINDOW
 20.024  IEEE         HOR:DEL:SCA 500e-9;POS 10e-3

 20.025  DISP         In the Following Instruction:
 20.025  DISP         Enter via the keyboard the error in divisions the rising
 20.025  DISP         edge of the marker has moved from the previous center
 20.025  DISP         vertical graticule line reference.

 20.026  MEMI         Enter Value Here? Note: 1 box = ±1 division
 20.027  MATH         MEM = MEM*500E-6
 20.028  MATH         MEM1 = 0.000000
 20.029  MEME
 20.030  MEMC         mT             0.001000U

#******************* Initial UUT Connections ***********************

 21.001  HEAD         LEAD CONNECTIONS
 21.002  9500         *                                                 S


 21.003  DISP         Connect the Calibrator's CH1 Active Head to the UUT's
 21.003  DISP         CH 1 Input.


# ********************** Trigger Sensitivity ***********************

 21.004  LABEL        TRIGGER
 21.005  RSLT         =
 21.006  HEAD         Edge Trigger Sensitivity @ [M102] MHz
 21.007  RSLT         =Edge Trigger Sensitivity @ [M102] MHz


 21.008  TARGET

# Clear status
 21.009  IEEE         *CLS

# Reset scope to factory defaults.
 21.010  IEEE         RECA:SETUP FAC
 21.011  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00

#Configure the UUT
 21.012  IEEE         CH1:COUP DC;PRO 1
 21.013  IEEE         CH1:SCA 500E-03
 21.014  IEEE         ACQ:MOD AVE
 21.015  IEEE         ACQ:NUMAV 16
 21.016  IEEE         HOR:MAI:SCA 10e-9
 21.017  IEEE         TRIG:MAIN:MOD NORM
 21.018  IEEE         MEASU:MEAS1:SOURCE CH1;TYP PK2
 21.019  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00
 21.020  JMPL         END            M[89] <= 0


#Scope Calibrator
 21.021  M9500                       CH1
 21.022  9500         3.750Vpp                     100MH          LS    S
 21.023  MATH         M[1] = MEM1

# Set the watchdog counter to 0
 21.024  MATH         M[10] = 0
 21.025  MATH         M[11] = 3.750

 21.026  LABEL        FEEDBACK1
 21.027  MATH         MEM = M[1]
 21.028  9500         Vpp                          100MH          LS    S
 21.029  IEEE         ACQ:STATE RUN
 21.030  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00
 21.031  JMPL         END            M[89] <= 0
 21.032  IEEE         TRIG:MAI SETL[D5000]
 21.033  IEEE         MEASU:MEAS1:VAL?[I]
 21.034  HEAD         Channel 1, Reference Trigger Level  [MEM]Vpp
 21.035  LABEL        CONT_FEEDBACK1
 21.036  MATH         M[2] = M[11] - MEM
 21.037  JMPL         TRIGGER1                     ABS(M[2]) < 0.04
 21.038  MATH         M[1] = (M[2] / 2) + MEM1

# Increment the Watchdog Counter
 21.039  MATH         M[10] = M[10] + 1

# We will give the scope 75 tries to get the right reading
 21.040  JMPL         FEEDBACK1                    M[10] < 75

# Attenuate the 9500 output by a factor of 5
 21.041  LABEL        TRIGGER1
 21.042  MATH         M[2] = MEM1 / 5
 21.043  MATH         MEM = M[2]
 21.044  9500         Vpp                          100MH          LS    S
 21.045  MATH         M[3] = -0.380; M[4] = 0.020
 21.046  CALL         Sub Tek TDS2xx: Main Trigger IEEE/: 1.00
 21.047  JMPL         END            M[89] <= 0
 21.048  RSLT         =Channel 1
 21.049  MATH         MEM = FMT(MEM, "%4.3f")
 21.050  EVAL   -e M[10] > 10 : (+ Slope) Main Trigger: [MEM] Vpp @ [M102]MHz



 22.001  IEEE         TRIG:MAIN:EDGE:SOU CH1;SLO FALL;COUP DC
 22.002  MATH         MEM = M[2]
 22.003  9500         Vpp                          100MH          LS    S
 22.004  MATH         M[3] = -0.380; M[4] = 0.020
 22.005  CALL         Sub Tek TDS2xx: Main Trigger IEEE/: 1.00
 22.006  JMPL         END            M[89] <= 0
 22.007  MATH         MEM = FMT(MEM, "%4.3f")
 22.008  EVAL   -e M[10] > 10 : (- Slope) Main Trigger: [MEM] Vpp @ [M102]MHz
 23.001  9500         *                                                 S

 #******************* Initial UUT Connections ***********************

 23.002  HEAD         LEAD CONNECTIONS
 23.003  9500         *                                                 S


 23.004  DISP         Connect the Calibrator's CH1 Active Head to the UUT's
 23.004  DISP         CH 2 Input.


#************************* Trigger Sensitivity Channel 2 *********************
#Configure the UUT
 23.005  RSLT         =
 23.006  IEEE         SEL:CH1 OFF
 23.007  IEEE         SEL:CH2 ON  [D2000]
 23.008  IEEE         CH2:COUP DC;PRO 1
 23.009  IEEE         CH2:SCA 0.5
 23.010  IEEE         TRIG:MAIN:EDGE:SOU CH2;SLO RIS;COUP DC
 23.011  IEEE         MEASU:MEAS1:SOURCE CH2;TYP PK2
 23.012  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00
 23.013  JMPL         END            M[89] <= 0

#Scope Calibrator
 23.014  M9500                       CH1
 23.015  9500         3.750Vpp                     100MH          LS    S
 23.016  MATH         M[1] = MEM1

# Set the watchdog counter to 0
 23.017  MATH         M[10] = 0
 23.018  MATH         M[11] = 3.750

 23.019  LABEL        FEEDBACK2
 23.020  MATH         MEM = M[1]
 23.021  9500         Vpp                          100MH          LS    S
 23.022  IEEE         ACQ:STATE RUN
 23.023  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00
 23.024  JMPL         END            M[89] <= 0
 23.025  IEEE         TRIG:MAI SETL[D5000]
 23.026  IEEE         MEASU:MEAS1:VAL?[I]
 23.027  HEAD         Channel 2, Reference Trigger Level  [MEM]Vpp
 23.028  LABEL        CONT_FEEDBACK2
 23.029  MATH         M[2] = M[11] - MEM
 23.030  JMPL         TRIGGER2                     ABS(M[2]) < 0.04
 23.031  MATH         M[1] = (M[2] / 2) + MEM1

# Increment the Watchdog Counter
 23.032  MATH         M[10] = M[10] + 1

# We will give the scope 75 tries to get the right reading
 23.033  JMPL         FEEDBACK2                    M[10] < 75

# Attenuate the 9500 output by a factor of 5
 23.034  LABEL        TRIGGER2
 23.035  MATH         M[2] = MEM1 / 5
 23.036  MATH         MEM = M[2]
 23.037  9500         Vpp                          100MH          LS    S
 23.038  MATH         M[3] = -0.380; M[4] = 0.020
 23.039  CALL         Sub Tek TDS2xx: Main Trigger IEEE/: 1.00
 23.040  JMPL         END            M[89] <= 0
 23.041  RSLT         =Channel 2
 23.042  MATH         MEM = FMT(MEM, "%4.3f")
 23.043  EVAL   -e M[10] > 10 : (+ Slope) Main Trigger: [MEM] Vpp @ [M102]MHz



 24.001  IEEE         TRIG:MAIN:EDGE:SOU CH2;SLO FALL;COUP DC
 24.002  MATH         MEM = M[2]
 24.003  9500         Vpp                          100MH          LS    S
 24.004  MATH         M[3] = -0.380; M[4] = 0.020
 24.005  CALL         Sub Tek TDS2xx: Main Trigger IEEE/: 1.00
 24.006  JMPL         END            M[89] <= 0
 24.007  MATH         MEM = FMT(MEM, "%4.3f")
 24.008  EVAL   -e M[10] > 10 : (- Slope) Main Trigger: [MEM] Vpp @ [M102]MHz


#******************* Initial UUT Connections ***********************

 25.001  HEAD         LEAD CONNECTIONS
 25.002  9500         *                                                 S


 25.003  DISP         Connect the Calibrator's CH1 Active Head to the UUT's
 25.003  DISP         CH 3 Input.


 #************************* Trigger Sensitivity Channel 3 ********************

#Configure the UUT
 25.004  RSLT         =
 25.005  IEEE         SEL:CH2 OFF
 25.006  IEEE         SEL:CH3 ON  [D2000]
 25.007  IEEE         CH3:COUP DC;PRO 1
 25.008  IEEE         CH3:SCA 0.5
 25.009  IEEE         TRIG:MAIN:EDGE:SOU CH3;SLO RIS;COUP DC
 25.010  IEEE         MEASU:MEAS1:SOURCE CH3;TYP PK2
 25.011  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00
 25.012  JMPL         END            M[89] <= 0

#Scope Calibrator
 25.013  M9500                       CH1
 25.014  9500         3.750Vpp                     100MH          LS    S
 25.015  MATH         M[1] = MEM1

# Set the watchdog counter to 0
 25.016  MATH         M[10] = 0
 25.017  MATH         M[11] = 3.750

 25.018  LABEL        FEEDBACK3
 25.019  MATH         MEM = M[1]
 25.020  9500         Vpp                          100MH          LS    S
 25.021  IEEE         ACQ:STATE RUN
 25.022  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00
 25.023  JMPL         END            M[89] <= 0
 25.024  IEEE         TRIG:MAI SETL[D5000]
 25.025  IEEE         MEASU:MEAS1:VAL?[I]
 25.026  HEAD         Channel 2, Reference Trigger Level  [MEM]Vpp
 25.027  LABEL        CONT_FEEDBACK3
 25.028  MATH         M[2] = M[11] - MEM
 25.029  JMPL         TRIGGER3                     ABS(M[2]) < 0.04
 25.030  MATH         M[1] = (M[2] / 2) + MEM1

# Increment the Watchdog Counter
 25.031  MATH         M[10] = M[10] + 1

# We will give the scope 75 tries to get the right reading
 25.032  JMPL         FEEDBACK3                    M[10] < 75

# Attenuate the 9500 output by a factor of 5
 25.033  LABEL        TRIGGER3
 25.034  MATH         M[2] = MEM1 / 5
 25.035  MATH         MEM = M[2]
 25.036  9500         Vpp                          100MH          LS    S
 25.037  MATH         M[3] = -0.380; M[4] = 0.020
 25.038  CALL         Sub Tek TDS2xx: Main Trigger IEEE/: 1.00
 25.039  JMPL         END            M[89] <= 0
 25.040  RSLT         =Channel 3
 25.041  MATH         MEM = FMT(MEM, "%4.3f")
 25.042  EVAL   -e M[10] > 10 : (+ Slope) Main Trigger: [MEM] Vpp @ [M102]MHz



 26.001  IEEE         TRIG:MAIN:EDGE:SOU CH3;SLO FALL;COUP DC
 26.002  MATH         MEM = M[2]
 26.003  9500         Vpp                          100MH          LS    S
 26.004  MATH         M[3] = -0.380; M[4] = 0.020
 26.005  CALL         Sub Tek TDS2xx: Main Trigger IEEE/: 1.00
 26.006  JMPL         END            M[89] <= 0
 26.007  MATH         MEM = FMT(MEM, "%4.3f")
 26.008  EVAL   -e M[10] > 10 : (- Slope) Main Trigger: [MEM] Vpp @ [M102]MHz

#******************* Initial UUT Connections ***********************

 27.001  HEAD         LEAD CONNECTIONS
 27.002  9500         *                                                 S


 27.003  DISP         Connect the Calibrator's CH1 Active Head to the UUT's
 27.003  DISP         CH 4 Input.


#************************* Trigger Sensitivity Channel 4 *********************

#Configure the UUT
 27.004  RSLT         =
 27.005  IEEE         SEL:CH3 OFF
 27.006  IEEE         SEL:CH4 ON  [D2000]
 27.007  IEEE         CH4:COUP DC;PRO 1
 27.008  IEEE         CH4:SCA 0.5
 27.009  IEEE         TRIG:MAIN:EDGE:SOU CH4;SLO RIS;COUP DC
 27.010  IEEE         MEASU:MEAS1:SOURCE CH4;TYP PK2
 27.011  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00
 27.012  JMPL         END            M[89] <= 0

#Scope Calibrator
 27.013  M9500                       CH1
 27.014  9500         3.750Vpp                     100MH          LS    S
 27.015  MATH         M[1] = MEM1

# Set the watchdog counter to 0
 27.016  MATH         M[10] = 0
 27.017  MATH         M[11] = 3.750

 27.018  LABEL        FEEDBACK4
 27.019  MATH         MEM = M[1]
 27.020  9500         Vpp                          100MH          LS    S
 27.021  IEEE         ACQ:STATE RUN
 27.022  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00
 27.023  JMPL         END            M[89] <= 0
 27.024  IEEE         TRIG:MAI SETL[D5000]
 27.025  IEEE         MEASU:MEAS1:VAL?[I]
 27.026  HEAD         Channel 4, Reference Trigger Level  [MEM]Vpp
 27.027  LABEL        CONT_FEEDBACK4
 27.028  MATH         M[2] = M[11] - MEM
 27.029  JMPL         TRIGGER4                     ABS(M[2]) < 0.04
 27.030  MATH         M[1] = (M[2] / 2) + MEM1

# Increment the Watchdog Counter
 27.031  MATH         M[10] = M[10] + 1

# We will give the scope 75 tries to get the right reading
 27.032  JMPL         FEEDBACK4                    M[10] < 75

# Attenuate the 9500 output by a factor of 5
 27.033  LABEL        TRIGGER4
 27.034  MATH         M[2] = MEM1 / 5
 27.035  MATH         MEM = M[2]
 27.036  9500         Vpp                          100MH          LS    S
 27.037  MATH         M[3] = -0.380; M[4] = 0.020
 27.038  CALL         Sub Tek TDS2xx: Main Trigger IEEE/: 1.00
 27.039  JMPL         END            M[89] <= 0
 27.040  RSLT         =Channel 4
 27.041  MATH         MEM = FMT(MEM, "%4.3f")
 27.042  EVAL   -e M[10] > 10 : (+ Slope) Main Trigger: [MEM] Vpp @ [M102]MHz



 28.001  IEEE         TRIG:MAIN:EDGE:SOU CH4;SLO FALL;COUP DC
 28.002  MATH         MEM = M[2]
 28.003  9500         Vpp                          100MH          LS    S
 28.004  MATH         M[3] = -0.380; M[4] = 0.020
 28.005  CALL         Sub Tek TDS2xx: Main Trigger IEEE/: 1.00
 28.006  JMPL         END            M[89] <= 0
 28.007  MATH         MEM = FMT(MEM, "%4.3f")
 28.008  EVAL   -e M[10] > 10 : (- Slope) Main Trigger: [MEM] Vpp @ [M102]MHz

 29.001  JMPL         END


 29.002  LABEL        ERROR
 29.003  HEAD         ERROR
 29.004  DISP         [SREG28]

 29.005  LABEL        END
 29.006  END



